- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: IMappedStatement TCachingStatement TDeleteMappedStatement TInsertMappedStatement TMappedStatement TPostSelectBinding TPreparedCommand TPreparedStatement TPreparedStatementFactory TResultSetListItemParameter TResultSetMapItemParameter TSelectMappedStatement TSimpleDynamicSql TSqlMapObjectCollectionTree TSqlMapSelect TStaticSql TUpdateMappedStatement |
Keyword
# Class TCachingStatement
TCacheingStatement class. Since: 3.1 Author: Wei Zhuo <weizhuo[at]gmail[dot]com>
Constructor Summary
public | __construct Array
Method Summary
protected void | createCommand ( mixed $connection, mixed $parameter, mixed $skip, mixed $max)
void | executeInsert ( mixed $connection, mixed $parameter)
void | executeQueryForList ( mixed $connection, mixed $parameter, mixed $result, mixed $skip, mixed $max, mixed $delegate)
void | executeQueryForMap ( mixed $connection, mixed $parameter, mixed $keyProperty, mixed $valueProperty, mixed $skip, mixed $max, mixed $delegate)
void | executeQueryForObject ( mixed $connection, mixed $parameter, mixed $result)
void | executeUpdate ( mixed $connection, mixed $parameter)
protected void | getCacheKey ( mixed $object)
void | getID ()
void | getManager ()
void | getStatement ()
Constructor Details
## __construct
public __construct | Array
Method Details
## createCommand
protected void createCommand | (mixed $connection , mixed $parameter , mixed $skip , mixed $max )
Input
mixed | $connection |
mixed | $parameter |
mixed | $skip |
mixed | $max |
Output
Exception
## executeInsert
public void executeInsert | (mixed $connection , mixed $parameter )
Input
mixed | $connection |
mixed | $parameter |
Output
Exception
## executeQueryForList
public void executeQueryForList | (mixed $connection , mixed $parameter , mixed $result , mixed $skip , mixed $max , mixed $delegate )
Input
mixed | $connection |
mixed | $parameter |
mixed | $result |
mixed | $skip |
mixed | $max |
mixed | $delegate |
Output
Exception
## executeQueryForMap
public void executeQueryForMap | (mixed $connection , mixed $parameter , mixed $keyProperty , mixed $valueProperty , mixed $skip , mixed $max , mixed $delegate )
Input
mixed | $connection |
mixed | $parameter |
mixed | $keyProperty |
mixed | $valueProperty |
mixed | $skip |
mixed | $max |
mixed | $delegate |
Output
Exception
## executeQueryForObject
public void executeQueryForObject | (mixed $connection , mixed $parameter , mixed $result )
Input
mixed | $connection |
mixed | $parameter |
mixed | $result |
Output
Exception
## executeUpdate
public void executeUpdate | (mixed $connection , mixed $parameter )
Input
mixed | $connection |
mixed | $parameter |
Output
Exception
## getCacheKey
protected void getCacheKey | (mixed $object )
Input
mixed | $object |
Output
Exception
## getID
public void getID | ()
Output
Exception
## getManager
public void getManager | ()
Output
Exception
## getStatement
public void getStatement | ()
Output
Exception